mbedtls_psa_hash_operation_t Struct Reference

`#include <crypto_builtin_primitives.h>`

Collaboration diagram for mbedtls_psa_hash_operation_t:
[legend]

## Data Fields

psa_algorithm_t | alg
union {
unsigned dummy
mbedtls_md2_context md2
mbedtls_md4_context md4
mbedtls_md5_context md5
mbedtls_ripemd160_context ripemd160
mbedtls_sha1_context sha1
mbedtls_sha256_context sha256
mbedtls_sha512_context sha512
} | ctx

## Detailed Description

Definition at line 62 of file crypto_builtin_primitives.h.

## Field Documentation

## alg

psa_algorithm_t mbedtls_psa_hash_operation_t::alg

Definition at line 64 of file crypto_builtin_primitives.h.

##

union { ... } mbedtls_psa_hash_operation_t::ctx

## dummy

unsigned mbedtls_psa_hash_operation_t::dummy

Definition at line 67 of file crypto_builtin_primitives.h.

## md2

mbedtls_md2_context mbedtls_psa_hash_operation_t::md2

Definition at line 69 of file crypto_builtin_primitives.h.

## md4

mbedtls_md4_context mbedtls_psa_hash_operation_t::md4

Definition at line 72 of file crypto_builtin_primitives.h.

## md5

mbedtls_md5_context mbedtls_psa_hash_operation_t::md5

Definition at line 75 of file crypto_builtin_primitives.h.

## ripemd160

mbedtls_ripemd160_context mbedtls_psa_hash_operation_t::ripemd160

Definition at line 78 of file crypto_builtin_primitives.h.

## sha1

mbedtls_sha1_context mbedtls_psa_hash_operation_t::sha1

Definition at line 81 of file crypto_builtin_primitives.h.

## sha256

mbedtls_sha256_context mbedtls_psa_hash_operation_t::sha256

Definition at line 85 of file crypto_builtin_primitives.h.

## sha512

mbedtls_sha512_context mbedtls_psa_hash_operation_t::sha512

Definition at line 89 of file crypto_builtin_primitives.h.

The documentation for this struct was generated from the following file:

- crypto_builtin_primitives.h